##################### [ SSL ] #####################
server.ssl.enabled=true
server.ssl.protocol=TLS
server.ssl.enabled-protocols=TLSv1.2
server.ssl.ciphers=TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256,TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256
server.ssl.client-auth=none
server.ssl.key-store=/path/to/server.jks
server.ssl.key-store-password=password
server.ssl.key-password=password
server.ssl.trust-store=/path/to/truststore.jks
server.ssl.trust-store-password=password

#############[ AUTHENTICATION AND AUTHORIZATION ]############
# Включение авторизации с помощью данных пользователей из файла
auth.type=FILE

corax.ui.auth.file=config/kafka-ui-users.properties
corax.ui.security.acl.file=config/kafka-ui-acls.json

corax.ui.security.auth.security.encoding.class=ru.sbt.ss.password.decoder.SimpleTextPasswordDecoder
corax.ui.security.auth.security.encoding.key=/path/to/kafka/encrypt.pass
corax.ui.security.auth.security.encoding.salt=ru.sbt.ss.password.salt.SbtSaltProvider

spring.kafka.bootstrap-servers=localhost:9092

spring.kafka.ui.producer.key-serializer=org.apache.kafka.common.serialization.VoidSerializer
spring.kafka.ui.producer.value-serializer=ru.sbrf.kafka.ui.serdes.UiTopicSerde.UiTopicSerializer

spring.kafka.ui.consumer.listener.ack-mode=manual
spring.kafka.ui.consumer.group-id=UiAclConsumer
spring.kafka.ui.consumer.auto-offset-reset=earliest
spring.kafka.ui.consumer.enable-auto-commit=false
spring.kafka.ui.consumer.key-deserializer=org.apache.kafka.common.serialization.VoidDeserializer
spring.kafka.ui.consumer.value-deserializer=ru.sbrf.kafka.ui.serdes.UiTopicSerde.UiTopicDeserializer

##########################[ AUDIT ]###########################
# Включите локальный аудит событий в файл
corax.ui.audit.enable=true
corax.ui.audit.system.id=KafkaUI

# Раскомментируйте настройки, если требуется включить отправку событий в COTE
#corax.ui.audit.model.url=https://{tsAuditHost}:{tsAuditPort}/v1/metamodel
#corax.ui.audit.event.url=https://{tsAuditHost}:{tsAuditPort}/v1/event
#corax.ui.audit.ssl.keystore.location=/path/to/keystore.jks
#corax.ui.audit.ssl.keystore.password=password
#corax.ui.audit.ssl.truststore.location=/path/to/truststore.jks
#corax.ui.audit.ssl.truststore.password=password
#corax.ui.audit.ssl.endpoint.identification.algorithm=all